VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Metamodel::FieldInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::FieldInfo:

## Avaliable Methods
public method | set_documentation ()
public method | set_type ()
public method | get_documentation ()
public method | get_type ()
public method | set_name ()
public method | new ()
public method | set_metadata ()
public method | get_name ()
public method | get_metadata ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::FieldInfo` class contains metamodel information of a field element contained in a structure element.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::FieldInfo::get_documentation | ( |  | ) |

Gets the value of 'documentation' property.

Return values

  documentation | - The current value of the field. English language documentation for the service element. It can contain HTML markup and Javadoc tags. String#

Code:
click to view
# Number of lines of code in get_documentation: 4
sub get_documentation {
my ($self, %args) = @_;
return $self->{'documentation'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::FieldInfo::get_metadata | ( |  | ) |

Gets the value of 'metadata' property.

Return values

  metadata | - The current value of the field. Generic metadata elements for the field element. The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The class Com::Vmware::Vapi::Metadata::Metamodel::MetadataIdentifier contains possible string values for keys in the map .

Map#

Code:
click to view
# Number of lines of code in get_metadata: 4
sub get_metadata {
my ($self, %args) = @_;
return $self->{'metadata'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::FieldInfo::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. Name of the field element in a canonical format. The format is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention. String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::FieldInfo::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Type information. Type#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::FieldInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Metamodel::FieldInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 22
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{name} = $args{'name'};
$self->{type} = $args{'type'};
$self->{metadata} = $args{'metadata'};
$self->{documentation} = $args{'documentation'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Metamodel::FieldInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.metamodel.field_info');
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'Type'));
$self->set_binding_field('key' => 'metadata', 'value' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'ElementMap')}))));
$self->set_binding_field('key' => 'documentation', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::FieldInfo::set_documentation | ( |  | ) |

Sets the given value for 'documentation' property.

Parameters

  documentation | - New value for the field. English language documentation for the service element. It can contain HTML markup and Javadoc tags.

Code:
click to view
# Number of lines of code in set_documentation: 5
sub set_documentation {
my ($self, %args) = @_;
$self->{'documentation'} = $args{'documentation'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::FieldInfo::set_metadata | ( |  | ) |

Sets the given value for 'metadata' property.

Parameters

  metadata | - New value for the field. Generic metadata elements for the field element. The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The class Com::Vmware::Vapi::Metadata::Metamodel::MetadataIdentifier contains possible string values for keys in the map .

Code:
click to view
# Number of lines of code in set_metadata: 5
sub set_metadata {
my ($self, %args) = @_;
$self->{'metadata'} = $args{'metadata'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::FieldInfo::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. Name of the field element in a canonical format. The format is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::FieldInfo::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Type information.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/FieldInfo.pm